Fork me on GitHub

Search

Donat-O-Meter

Make donations with PayPal!
Stats
Goal: $100.00
Due Date: Oct 31
Gross Amount: $10.00
Net Balance: $9.41
Left to go: $90.59

Donations
Dante7237  ($10)Oct-30

Learn XOOPS Core

Local Support

Advertisement

XOOPS Code hosted on SourceForge

Cumulus Tag Cloud

- 2 2.5 2.6 3.0 4 6 2013 Abuse adslight Android AntiHarvesting AntiMalUser AntiSpam API Apple Battlefield billige Bootstrap Captcha cell chronolabs Clicks content CĂN demo docek download Dresses evden eve facebook Fat floor Food for free Gateway Google Guide herre Home Honeypot HP Human HỘ IP iPhone jQuery Language Law Legal List log Loss mobile module modules Monster new newbb news NHÀ online PARK phone PHP Prevention profile project Protector publisher Rapid RESIDENCE responsive review Rights rmcommon security Sentry site Smartphone Smoking Solution Spam Studio tags tdmcreate template The Theme themes User web weight Wishcraft xoops Xortify

New Users

Registering user

# 137872

ode64de

Welcome to XOOPS!




Bottom   Previous Topic   Next Topic  |  Register To Post



#1 Posted on: 2012/2/7 12:58 Upgrade Path... is there one
I have been runing xoops for many many years however for the past year and a half due to other life priorities I have had my site offline and mothballed. last month I got me a server online and restored my site and got everything working. I have taken some time and I see the xoops is all the way up to 2.5 for its version.

My qustion is this: Is there an upgrade path from my 2.0.17.1 version to the latest release? And if so what is that path? and what do I need to be aware of.... i.e. what am I going to break and is there a module compatiblility with versions list so I can make sure I am ready for any possible fallout.

Thanks!

Top


[img align=left]http://www.theood.com/modules/roster/sig.php?name=Talric [/img]
JS
Joined:
2002/12/16 13:53
Group:
Registered Users
Posts: 87
(Show More) (Show Less)


#2 Posted on: 2012/2/7 13:27 Re: Upgrade Path... is there one
Which modules you are using now?

Top


Visit www.nlxoops.nl for Dutch support

Translations : Sourgeforge | Transifex Core | Transifex Modules
Renetjuh
Joined:
2007/10/11 10:30
From Holland
Group:
Registered Users
Community Coordinator (temporary)
Posts: 224
(Show More) (Show Less)


#3 Posted on: 2012/2/7 13:36 Re: Upgrade Path... is there one
Quote:
My qustion is this: Is there an upgrade path from my 2.0.17.1 version to the latest release? And if so what is that path?

Yes, please read page 35 of the Installation Guide

Quote:
and what do I need to be aware of.... i.e. what am I going to break and is there a module compatiblility with versions list so I can make sure I am ready for any possible fallout.

There two areas:

1) You need PHP 5.2+

2) You need to make sure that your modules are also updated and compatible with your version of PHP and XOOPS. Just give us the list of modules you have, and we can advise you if there are any problems.

Top


Please support XOOPS & DONATE
Use 2.5.7 | Debugging | Requests | Bugs
Mamba
Joined:
2004/4/23 13:58
From Ohio, USA
Group:
Webmaster
Registered Users
Designer Group
Posts: 8102
(Show More) (Show Less)


#4 Posted on: 2012/2/7 13:39 Re: Upgrade Path... is there one
system V1
contact Us V1
Downloads V1.1
Web Links V1.1
NewBB Forums V3.08
News V1.44
Polls V1
Myalbum-p V2.83
XooPopChat V0.14
Memberlist V1
Agenda-x V2.2
Web Stats V1 (this one is currently broke)
Even News V2.1
Protector V3.15
Xmail V1.1
userpage V1.22


Those are my current modules only one of them is not working and I know that is because of the version of PHP on the server.

Top


[img align=left]http://www.theood.com/modules/roster/sig.php?name=Talric [/img]
JS
Joined:
2002/12/16 13:53
Group:
Registered Users
Posts: 87
(Show More) (Show Less)


#5 Posted on: 2012/2/7 13:43 Re: Upgrade Path... is there one
Modules posted

Top


[img align=left]http://www.theood.com/modules/roster/sig.php?name=Talric [/img]
JS
Joined:
2002/12/16 13:53
Group:
Registered Users
Posts: 87
(Show More) (Show Less)


#6 Posted on: 2012/2/7 13:46 Re: Upgrade Path... is there one
Most of them should be OK.

These have new versions:

contact Us V1
Downloads V1.1
Web Links V1.1
NewBB Forums V3.08
News V1.44
Polls V1
Even News V2.1
Protector V3.15

I am not sure about these:

Myalbum-p V2.83
XooPopChat V0.14
Memberlist V1
Agenda-x V2.2
Web Stats V1 (this one is currently broke)
Xmail V1.1
userpage V1.22

Top


Please support XOOPS & DONATE
Use 2.5.7 | Debugging | Requests | Bugs
Mamba
Joined:
2004/4/23 13:58
From Ohio, USA
Group:
Webmaster
Registered Users
Designer Group
Posts: 8102
(Show More) (Show Less)


#7 Posted on: 2012/2/8 9:33 Re: Upgrade Path... is there one
So I attempted the upgrade lastnight and for the most part it went really well until I got to the end where it wanted to perform the 2.4 --> 2.5 upgrade. It looked like it performed it but when I would hit finnish it would just loop back and say that it still needed to perform the upgrade. I tried it several times and could not get past that point. So I tried to bring up my site and my site came up but I couldn't login at all. It would say thank you for logging in then loop back to the main page and I was not logged in.

Long story short I rolled everything back. and my site is back up... (yes I took backups of everything like a good little admin should)

So it appiered that all the upgrades went without issue except the last one has anyone seen this before?

and last question what are some things that I should check... I have a PHP 5.3 installed and MySQL 5.5.2, this is a windows 2008 R2 server running IIS.

Thank You!

Top


[img align=left]http://www.theood.com/modules/roster/sig.php?name=Talric [/img]
JS
Joined:
2002/12/16 13:53
Group:
Registered Users
Posts: 87
(Show More) (Show Less)


#8 Posted on: 2012/2/8 10:32 Re: Upgrade Path... is there one
Quote:
So I tried to bring up my site and my site came up but I couldn't login at all. It would say thank you for logging in then loop back to the main page and I was not logged in.

Sometimes there are problems with the "sessions" table. In the moment like the above I would recommend:

- clear the cache
- using phpMyAdmin run repair of all the tables

I assume that you followed the guide regarding Protector (removing couple of lines from mainfile.php and making sure that the "trustpath" links are correct.

I would also disable all modules (in the database), to make sure there are no conflicts between old modules and the current version of XOOPS.

Once upgraded successfully, you could then enable the modules one by one and check if they work correctly.

Top


Please support XOOPS & DONATE
Use 2.5.7 | Debugging | Requests | Bugs
Mamba
Joined:
2004/4/23 13:58
From Ohio, USA
Group:
Webmaster
Registered Users
Designer Group
Posts: 8102
(Show More) (Show Less)


#9 Posted on: 2012/2/8 10:55 Re: Upgrade Path... is there one
what about the upgrade part where it kept looping on the 2.4 --> 2.5 upgrade? everytime I would click finish it would go back to the screen where it shows all the updates and the 2.4 --> 2.5 always had a red X.. Do I need to be worreid about that?

Top


[img align=left]http://www.theood.com/modules/roster/sig.php?name=Talric [/img]
JS
Joined:
2002/12/16 13:53
Group:
Registered Users
Posts: 87
(Show More) (Show Less)


#10 Posted on: 2012/2/8 10:56 Re: Upgrade Path... is there one
oh yes and I did follow the instructions and cleaned up the mainfile.php lines and the trusted path information was correct as well.

Top


[img align=left]http://www.theood.com/modules/roster/sig.php?name=Talric [/img]
JS
Joined:
2002/12/16 13:53
Group:
Registered Users
Posts: 87
(Show More) (Show Less)







You can view topic.
You cannot start a new topic.
You cannot reply to posts.
You cannot edit your posts.
You cannot delete your posts.
You cannot add new polls.
You can vote in polls.
You cannot attach files to posts.
You cannot post without approval.
You cannot use topic type.
You cannot use HTML syntax.
You cannot use signature.
You cannot create pdf.
You cannot get print page.

[Advanced Search]